
Core - Feature # 50132

Feature # 49988 (Resolved): Backport ApplicationContext from Flow

Status: Resolved Priority: Should have
Author: Ingo Renner Category: TypoScript
Created: 2013-07-17 Assigned To:
Updated: 2013-10-11 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: TypoScript: Application Context condition
Description

Extracted from issue #39441

Add a context condition to TypoScript:

[applicationContext = Development]
# do things differently
[end]

Related issues:
related to Core - Feature # 39441: Add TYPO3 Context information Closed 2012-08-01
blocked by Core - Task # 52678: Rename API for ApplicationContext Resolved 2013-10-11
precedes TypoScript Reference (TSref) - Bug # 52701: TypoScript: Application ... Resolved 2013-10-11

Associated revisions
Revision 113655be - 2013-10-11 14:04 - Steffen Müller

[FEATURE] Add TypoScript condition for ApplicationContext

The following condition is available in TypoScript and TSconfig
for testing the ApplicationContext:

[applicationContext = value1, value2, ...]

One of the given values matching the applicationContext.
Wildcards + and * are allowed, as well as regular expressions
delimited with /PREG_PATTERN/

Examples:

[applicationContext = Development/Debugging, Development/Profiling]  # matching exactly "Development/Debugging" or "Development/Profiling" 
[global]

[applicationContext = Production*]  # matching any applicationContext with a rootContext of "Production",  # for example "Production/Live" or
"Production/Staging" 
[global]

[applicationContext = /^Production\/Staging\/Server\d+$/]  # matching "Production/Staging/Server1", "Production/Staging/Server2"   # and so on
[global]
Resolves: #50132
Documentation: #52701
Releases: 6.2
Change-Id: I4f0f69ca4208d36d8eb8966ec9ef034f6b703b34
Reviewed-on: https://review.typo3.org/22412
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2013-07-19 01:18 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#2 - 2013-07-19 01:19 - Steffen Müller

Added a WIP changeset, which provides three new conditions:

1. [context = value1, value2, ...]
Example: [context = Development/Debugging, Development/Profiling]

2. [rootContext = value1, value2, ...]
Example: [rootContext = Production]

3. [contextMatch = /PREG_PATTERN/]
Example: [contextMatch = /^Production/Staging/Server\d+$/]

#3 - 2013-07-19 15:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#4 - 2013-07-19 23:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#5 - 2013-07-20 02:06 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#6 - 2013-07-22 14:44 - Gerrit Code Review
Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#7 - 2013-07-30 23:03 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#8 - 2013-08-09 22:48 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#9 - 2013-08-25 23:56 - Ernesto Baschny
- Target version set to 6.2.0

#10 - 2013-08-25 23:57 - Ernesto Baschny
- Subject changed from Context condition to TypoScript: Application Context condition

#11 - 2013-08-26 16:11 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#12 - 2013-10-11 02:13 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#13 - 2013-10-11 09:09 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#14 - 2013-10-11 13:53 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#15 - 2013-10-11 14:02 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22412

#16 - 2013-10-11 14:30 - Steffen Müller

2015-08-04 3/4

https://review.typo3.org/22412
https://review.typo3.org/22412
https://review.typo3.org/22412
https://review.typo3.org/22412
https://review.typo3.org/22412
https://review.typo3.org/22412
https://review.typo3.org/22412
https://review.typo3.org/22412


- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:113655bef7072557d05eb40b1c2bdb105a26f44c.
